# 1. Kakao AdFit

## 1. Kakao AdFit 연동 정보

<table><thead><tr><th width="214">Build.gradle 내 플랫폼 정보</th><th>연동 가이드</th></tr></thead><tbody><tr><td>kakao</td><td><a href="https://github.com/adfit/adfit-android-sdk/">https://github.com/adfit/adfit-android-sdk/</a></td></tr></tbody></table>

{% hint style="warning" %}
Kakao AdFit 최신 버전 사용

1. AdFit 가이드 내 버전 정보를 확인해 주세요.
2. 확인한 최신 버전을 하단 Build.gradle(App Level) 내 각각의version에 입력해 주세요.
   * $kotlin\_version
   * $play\_service\_version
   * $adfit\_version
     {% endhint %}

## 2. Build.gradle 정보

### 1) Build.gradle(Project Level/상위)

아래 내용을 참고하여 사용하고자 하는 플랫폼의 SDK를 설정합니다.

{% code lineNumbers="true" %}

```
allprojects {
    repositories {
        google()
        mavenCentral()
        //kakao
        maven { url 'https://devrepo.kakao.com/nexus/content/groups/public/' }
    }
}
```

{% endcode %}

### 2) Build.gradle (App Level/앱 내부)

아래 내용을 참고하여 사용하고자 하는 플랫폼의 SDK를 설정합니다.

{% code lineNumbers="true" %}

```
dependencies {
    //kakao
    implementation "org.jetbrains.kotlin:kotlin-stdlib-jdk7:$kotlin_version"
    implementation "com.google.android.gms:play-services-ads-identifier:$play_service_version"
 
    implementation "com.kakao.adfit:ads-base:$adfit_version"
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.targetpick.io/android-sdk/mediation/kakao_adfit.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
